declare const getUserInfoFromToken: (token: string) => Promise<{
    id: any;
    teamName: any;
    name: any;
    email: any;
    token: string;
}>;
declare const getProjectsOfCurrentUser: () => Promise<Array<{
    id: number;
    name: string;
}>>;
declare const getTotalTestsInProject: (projectId: number) => Promise<number>;
declare const createProject: (projectName: string) => Promise<any>;
declare const getInviteLink: (projectId: number) => Promise<any>;
declare const inviteProjectMembers: (projectId: number, emails: Array<string>) => Promise<{
    success: boolean;
}>;
declare const getProjectInfo: (projectId: number) => Promise<any>;
declare const runTests: (host: string | undefined, proxyUrlsMap?: {
    [name: string]: {
        tunnel: string;
        intercept: any;
    };
}, browsers?: Array<"CHROME" | "FIREFOX" | "SAFARI">, testIds?: string, testGroups?: string, projectId?: any) => Promise<void>;
export { inviteProjectMembers, getInviteLink, getUserInfoFromToken, getProjectsOfCurrentUser, runTests, getTotalTestsInProject, getProjectInfo, createProject, };
